{% extends 'base.html' %}
{% load i18n %}
{% load staticfiles %}
{% load tz %}

{% block head %}<link rel="stylesheet" href="{% static 'kiss_events/content-style.css' %}" type="text/css" media="screen" />{% endblock head %}

{% block title %}{{ event.title|capfirst }}{% endblock %}

{% block content %}
<div id="event-details">
  <div class="content-header">
    <h2>{{ event.title|capfirst }}</h2>
  </div>
  <div class="infos">
    <p class="subtitle"><strong>{% trans "Author(s)"%}</strong>: {{ event.authors_list }}</p>
    <ul class="metadatas">
      <li><strong>{% trans "Type" %}</strong>: {{ event.type }}</li>
      <li><strong>{% trans "Duration" %}</strong>: {{ event.duration }} {% trans "minutes" %}</li>
      {% if event.schedule %}
      <li><strong>{% trans "When" %}</strong>: {{ event.schedule|date:"d F" }} {% trans "at" %} {{ event.schedule|localtime|date:"H:i" }}</li>
      {% endif %}
      {% if event.place %}
      <li><strong>{% trans "Where" %}</strong>: {{ event.place }}</li>
      {% endif %}      
    </ul>
  </div>
  <div class="abstract">
    <h4>{% trans "Abstract" %}</h4>
    <p>{{ event.abstract }}</p>
  </div>
  {% if event.externallink_set.all %}
      <div class="external-links">
	  <h4>{% trans 'Links' %}</h4>
	  <ul class="external-links">
	      {% for external_link in event.externallink_set.all %}
		  <li><a href="{{ external_link.URL }}">{{ external_link.description }}</a></li>
	      {% endfor %}
	  </ul>
      </div>
  {% endif %}
  {% if event.video_recording_url or event.audio_recording_url %}
      <div class="records">
	  <h4>{% trans 'Recordings'%}</h4>
	  {% if event.video_recording_url %}
	      <h5>{% trans 'Video'%}</h5>
	      <div>
		  <div>
		      <video src="{{ event.video_recording_url }}" controls></video>
		  </div>
		  <a href="{{ event.video_recording_url }}" download>{% trans 'Download video recording' %}</a>
	      </div>
	  {% endif %}
	  {% if event.audio_recording_url %}
	      <h5>{% trans 'Audio'%}</h5>
	      <div>
		  <div>
		      <audio src="{{ event.audio_recording_url }}" controls></audio>
		  </div>
		  <a href="{{ event.audio_recording_url }}" download>{% trans 'Download audio recording' %}</a>
	      </div>
	  {% endif %}
      </div>
  {% endif %}
  {% if event.slides_and_files_url %}
      <div class="attachments">
	  <a href="event.slides_and_files_url" download>{% trans 'Slides and files' %}</a>
      </div>
  {% endif %}
</div>
{% endblock %}
